Package org.eclipse.net4j.protocol

# Interface IProtocol<INFRA_STRUCTURE>

All Superinterfaces:
  `IBufferHandler`, `ILocationAware`, `org.eclipse.net4j.util.security.IUserAware`

All Known Subinterfaces:
  `IProtocol2<INFRA_STRUCTURE>`, `IProtocol3<INFRA_STRUCTURE>`, `ISignalProtocol<INFRA_STRUCTURE>`, `ISignalProtocol.WithSignalCounters<INFRA_STRUCTURE>`

All Known Implementing Classes:
  `AuthenticatingSignalProtocol`, `HeartBeatProtocol`, `HeartBeatProtocol.Server`, `Protocol`, `SignalProtocol`

public interface IProtocol<INFRA_STRUCTURE> extends org.eclipse.net4j.util.security.IUserAware, ILocationAware, IBufferHandler
A `typed` `buffer handler` for a `channel`.

Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.net4j.ILocationAware

`ILocationAware.Location`

## Method Summary

Modifier and Type
Method
Description
`IBufferProvider`
`getBufferProvider()`
`IChannel`
`getChannel()`
`ExecutorService`
`getExecutorService()`
`INFRA_STRUCTURE`
`getInfraStructure()`
`String`
`getType()`
`void`
`setChannel(IChannel channel)`
`void`
`setExecutorService(ExecutorService executorService)`
`void`
`setInfraStructure(INFRA_STRUCTURE infraStructure)`

### Methods inherited from interface org.eclipse.net4j.buffer.IBufferHandler

`handleBuffer`

### Methods inherited from interface org.eclipse.net4j.ILocationAware

`getLocation, isClient, isServer`

### Methods inherited from interface org.eclipse.net4j.util.security.IUserAware

`getUserID`

## Method Details

### getType

String getType()

### getChannel

IChannel getChannel()

### setChannel

void setChannel(IChannel channel)

### getInfraStructure

INFRA_STRUCTURE getInfraStructure()

### setInfraStructure

void setInfraStructure(INFRA_STRUCTURE infraStructure)

### getBufferProvider

IBufferProvider getBufferProvider()

### getExecutorService

ExecutorService getExecutorService()

### setExecutorService

void setExecutorService(ExecutorService executorService)